> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a tag

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/tags/{tag_id}

Returns a single tag based on the given identifier.

Reference: https://contentful.com/developers/docs/references/content-management-api/tags/get-a-tag

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in the form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `tag_id` (string, required) — ID of the tag in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "name": "NY Campaign",
  "sys": {
    "createdAt": "2026-02-24T21:17:22.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "nyCampaign",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Tag",
    "updatedAt": "2026-02-24T21:17:22.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1,
    "visibility": "public"
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .tags()
    .async()
    .fetchOne(
        tagId,
        new CMACallback<CMATag>() {
          @Override protected void onSuccess(CMATag result) {
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Successfully fetched a tag." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetched a tag." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Get a single tag.
CMATag result = client.tags()
  .fetchOne("nyCampaign");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Get a single tag.
val result = client.tags()
  .fetchOne("nyCampaign")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((env) => env.getTag('<tag_id>'))
.then((tag) => console.log(tag))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const tag = await client.tag.get({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  tagId: '<tag_id>'
});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

# get a tag
tag = client.tags('<space_id>', '<environment_id>').find('<tag_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

tag = client.tags('<space_id>', '<environment_id>').find('<tag_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var tag = await client.GetContentTag("<id>");
```